%----------------------------------------------------------------------------------------------------
%
% Class file for the abstract of the
% 13th International Symposium on Vibrations of Continuous Systems
%
%
%----------------------------------------------------------------------------------------------------

\NeedsTeXFormat{LaTeX2e}
%\ProvidesClass{isvcs2015_abstract}[2013/09/25 ISVCS abstract class]
\ProcessOptions\relax

\DeclareOption{10pt}{\OptionNotUsed}
\DeclareOption{12pt}{\OptionNotUsed}
\DeclareOption{twocolumn}{\OptionNotUsed}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}

\ProcessOptions\relax

\LoadClass[11pt,a4paper]{article}

\RequirePackage{ucs}
\RequirePackage[utf8x]{inputenc}
\RequirePackage{mathptmx}
\RequirePackage[T1]{fontenc}

\RequirePackage{graphicx}
\RequirePackage{verbatim}
\RequirePackage{tabularx}
\RequirePackage{amsmath,amsfonts,amssymb,amsthm,amsbsy,amsmath}
\RequirePackage{latexsym}
\RequirePackage{bm}
\RequirePackage{a4}
\RequirePackage{fancyhdr}
\RequirePackage{engord}
\RequirePackage{epsfig,vmargin,booktabs}


\setpapersize{A4}  % needs vmargin package
\setmarginsrb{30mm}{5mm}{30mm}{5mm}{25mm}{0mm}{0mm}{25mm}
\parindent=0pt
\parskip=2ex


%\def\author{\@ifnextchar[{\@getshortauthor}{\@getauthor}}
%\def\@getauthor#1{\gdef\@author{#1}\gdef\@shortauthor{#1}}
%\def\@getshortauthor[#1]#2{\gdef\@shortauthor{#1}\gdef\@author{#2}}
%\newcommand{\address}[1]{\gdef\@address{#1}}
%\newcommand{\keywords}[1]{\gdef\@keywords{#1}}
%\renewcommand{\abstract}[1]{\gdef\@abstract{#1}}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% SECTIONS
\renewcommand\section{\@startsection {section}{1}{\z@}{-3.5ex plus -1ex minus-.2ex}{0.2ex}{\normalsize\bf}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\AtBeginDocument{%
  \pagestyle{empty}
  \thispagestyle{fancy}
  \fancyhf{} % clear all header and footer fields
  \renewcommand{\headrulewidth}{0pt}
  \rhead{
    \scriptsize{
        ISVCS14, $14^{\mathrm{th}}$ International Symposium on Vibrations of Continuous Systems
    }\\
    Grundlsee, Salzkammergut, Austria, July 27 - August 2, 2025\vspace{5mm}
  }
}
\endinput
